{
	"format_version": "1.8.0",
	"animations": {
		"animation.pirates.furniture_rotation": {
			"loop": true,
			"bones": {
				"base": {
					"rotation": [0, "(Math.round(query.body_y_rotation / 45) * 45) - query.body_y_rotation", 0]
				}
			}
		},
		"animation.pirates.furniture_rotation90": {
			"loop": true,
			"bones": {
				"base": {
					"rotation": [0, "(Math.round(query.body_y_rotation / 90) * 90) - query.body_y_rotation", 0]
				}
			}
		},
		"animation.platform.small": {
			"loop": true,
			"bones": {
				"base": {
					"position": [0, -9, 0]
				}
			}
		},
		"animation.platform.move": {
			"loop": true,
			"animation_length": 0.55,
			"sound_effects": {
				"0.0": {
					"effect": "loop"
				}
			}
		},
		"animation.sink.empty": {
			"loop": true,
			"bones": {
				"water": {
					"position": [0, -4, 1],
					"scale": [1, 1, 0.7]
				}
			}
		},
		"animation.sink.full": {
			"loop": true,
			"bones": {
				"water": {
					"position": [0, 0, 0],
					"scale": 1
				}
			}
		},
		"animation.sink.fill_up": {
			"loop": "hold_on_last_frame",
			"animation_length": 5.4,
			"bones": {
				"water": {
					"position": {
						"0.2": [0, -4, 1],
						"0.5": [0, -2.8, 1],
						"2.0": [0, -3, 1],
						"5.0": [0, 0, 0]
					},
					"scale": {
						"0.5": [0.4, 1, 0.5],
						"2.0": [1, 1, 0.7],
						"5.0": [1, 1, 1]
					}
				}
			},
			"particle_effects": {
				"0.0": {
					"effect": "drop",
					"locator": "locator"
				}
			}
		}
	}
}